## ros-lunar-uuv-trajectory-control 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(uuv_trajectory_control)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS scripts/rov_nl_pid_controller.py
                               scripts/rov_mb_sm_controller.py
                               scripts/rov_nmb_sm_controller.py
                               scripts/rov_pid_controller.py
                               scripts/rov_ua_pid_controller.py
                               scripts/rov_mb_fl_controller.py
                               scripts/auv_geometric_tracking_controller.py
                               scripts/demo_wp_trajectory_generator.py
                               scripts/rov_pd_grav_compensation_controller.py
                               scripts/rov_sf_controller.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch config
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  foreach(T
      test/test_all.launch
      )
     add_rostest(${T})
  endforeach()

  catkin_add_nosetests(test/test_waypoint.py)
  catkin_add_nosetests(test/test_trajectory_point.py)
  catkin_add_nosetests(test/test_waypoint_set.py)
endif()

=== debian/changelog ===
ros-lunar-uuv-trajectory-control (0.6.12-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.11-0stretch) stretch; urgency=high

  * Fix normalization of fin angle for saturation
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.10-0stretch) stretch; urgency=high

  * Fix errors from catkin_lint
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Fix non-executables
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 27 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.9-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.8-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.7-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.6-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 11 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.5-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.4-0stretch) stretch; urgency=high

  * FIX Dependency errors for ROS Buildfarm
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Sat, 02 Feb 2019 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.3-0stretch) stretch; urgency=high

  * CHANGE Use lowercase strings for e-mail
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Fixed the InitWaypointSet method with dp_controller_planner.py. Added interpolator to InitWaypointSet.srv
    Signed-off-by: Jackson Shields <mailto:jacksonhshields@gmail.com>
  * Contributors: Musa Morena Marcusso Manhães, Jackson Shields

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.2-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Sun, 02 Dec 2018 23:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.1-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.6.0-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 30 Jul 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.5.13-0stretch) stretch; urgency=high

  * FIX Set orientation error from quaternion vector
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * FIX If start_time is set before interpolation begins, ignore current time
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * MV Test for quaternion signal to base class
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * ADD Test for heading condition over same XY
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * FIX Read the a user-defined start_time for generation of trajectory from waypoint list
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * CHANGE Replace print for ROS log
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 23 Jul 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.5.12-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Sun, 22 Jul 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.5.11-0stretch) stretch; urgency=high

  * ADD Test quaternions dot product for shortest path
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * MV Quaternion sign test to path_generator.py
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.5.10-0stretch) stretch; urgency=high

  * CHANGE Set casadi package as optional
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * FIX Return object for handler of init_waypoint_from_file handler
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 09 Jul 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.5.9-0stretch) stretch; urgency=high

  * FIX Transform fin angle conversion matrix for inertial frame_id=world_ned
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * FIX Export waypoint set to file with frame_id information
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Sun, 08 Jul 2018 22:00:00 -0000

ros-lunar-uuv-trajectory-control (0.5.8-0stretch) stretch; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Fri, 06 Jul 2018 22:00:00 -0000



=== debian/control ===
Source: ros-lunar-uuv-trajectory-control
Section: misc
Priority: extra
Maintainer: Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-rostest, ros-lunar-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-uuv-trajectory-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, python-numpy, python-scipy, python-yaml, ros-lunar-geometry-msgs, ros-lunar-nav-msgs, ros-lunar-roslib, ros-lunar-rospy, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-uuv-control-msgs, ros-lunar-visualization-msgs
Description: The uuv_trajectory_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-uuv-trajectory-control//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
